package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 弹性伸缩配置
 * 
 * @author ymh
 * @时间 2019年11月25日
 */
@Table("auto_scaling_config")
public class AutoScalingConfig extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vendor_id")
    private Long vendorId; // 云供应商ID
    @Column("region_id")
    private String regionId;

    @Column("cpu")
    private Integer cpu;
    @Column("memory")
    private Integer memory;
    @Column("image_uuid")
    private String imageUuid;
    @Column("flavor_uuid")
    private String flavorUuid;
    @Column("lb_uuid")
    private String lbUuid;
    @Column("metadata")
    private String metadata;
    @Column("network_uuid")
    private String networkUuid;
    @Column("keypair_id")
    private Long keypairId;

    @IgnoreAll
    private String vendorName; // 云供应商名称
    @IgnoreAll
    private String vendorType; // 云供应商名称
    @IgnoreAll
    private String flavorName;
    @IgnoreAll
    private String imageName;
    @IgnoreAll
    private String keypairName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Integer getCpu() {
        return cpu;
    }

    public void setCpu(Integer cpu) {
        this.cpu = cpu;
    }

    public Integer getMemory() {
        return memory;
    }

    public void setMemory(Integer memory) {
        this.memory = memory;
    }

    public String getImageUuid() {
        return imageUuid;
    }

    public void setImageUuid(String imageUuid) {
        this.imageUuid = imageUuid;
    }

    public String getFlavorUuid() {
        return flavorUuid;
    }

    public void setFlavorUuid(String flavorUuid) {
        this.flavorUuid = flavorUuid;
    }

    public String getLbUuid() {
        return lbUuid;
    }

    public void setLbUuid(String lbUuid) {
        this.lbUuid = lbUuid;
    }

    public String getMetadata() {
        return metadata;
    }

    public void setMetadata(String metadata) {
        this.metadata = metadata;
    }

    public String getNetworkUuid() {
        return networkUuid;
    }

    public void setNetworkUuid(String networkUuid) {
        this.networkUuid = networkUuid;
    }

    public Long getKeypairId() {
        return keypairId;
    }

    public void setKeypairId(Long keypairId) {
        this.keypairId = keypairId;
    }

    public String getVendorName() {
        return vendorName;
    }

    public void setVendorName(String vendorName) {
        this.vendorName = vendorName;
    }

    public String getVendorType() {
        return vendorType;
    }

    public void setVendorType(String vendorType) {
        this.vendorType = vendorType;
    }

    public String getFlavorName() {
        return flavorName;
    }

    public void setFlavorName(String flavorName) {
        this.flavorName = flavorName;
    }

    public String getImageName() {
        return imageName;
    }

    public void setImageName(String imageName) {
        this.imageName = imageName;
    }

    public String getKeypairName() {
        return keypairName;
    }

    public void setKeypairName(String keypairName) {
        this.keypairName = keypairName;
    }

}
